Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmal_s Struct Reference

## Data Fields
availablePackage | list
availableIndex_s | index
int | delta
int | size
int | alloced
int | numDirs
dirInfo | dirs

## Detailed Description

Set of available packages, items, and directories.

Definition at line 108 of file rpmal.c.

## Field Documentation

int rpmal_s::alloced

| No. of pkgs allocated for list. Definition at line 114 of file rpmal.c. Referenced by rpmalAdd, rpmalCreate, and rpmalFree.

int rpmal_s::delta

| Delta for pkg list reallocation. Definition at line 112 of file rpmal.c. Referenced by rpmalAdd, and rpmalCreate.

dirInfo rpmal_s::dirs

| Set of directories. Definition at line 117 of file rpmal.c. Referenced by rpmalAdd, rpmalAllFileSatisfiesDepend, rpmalCreate, rpmalDel, and rpmalFree.

struct availableIndex_s rpmal_s::index

| Set of available items. Definition at line 111 of file rpmal.c. Referenced by rpmalAddProvides, rpmalAllSatisfiesDepend, rpmalCreate, and rpmalMakeIndex.

availablePackage rpmal_s::list

| Set of packages. Definition at line 110 of file rpmal.c. Referenced by rpmalAdd, rpmalAddProvides, rpmalAllFileSatisfiesDepend, rpmalAllSatisfiesDepend, rpmalCreate, rpmalDel, rpmalFree, and rpmalMakeIndex.

int rpmal_s::numDirs

| No. of directories. Definition at line 115 of file rpmal.c. Referenced by rpmalAdd, rpmalAllFileSatisfiesDepend, rpmalCreate, rpmalDel, and rpmalFree.

int rpmal_s::size

| No. of pkgs in list. Definition at line 113 of file rpmal.c. Referenced by rpmalAdd, rpmalAddProvides, rpmalCreate, rpmalFree, and rpmalMakeIndex.

The documentation for this struct was generated from the following file:

- lib/rpmal.c